out_AC Class Reference

`#include <out_ac.h>`

Inheritance diagram for out_AC:

## Public Member Functions

| out_AC (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | isActive () override
int | getDefaultStorageType ()
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual itemCmd | getDefaultOnVal ()
virtual int | getChanType ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Member Functions

void | InsertData (byte data[], size_t size)
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Additional Inherited Members

Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## out_AC()

out_AC::out_AC | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

int out_AC::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Implements abstractOut.

## getDefaultStorageType()

int out_AC::getDefaultStorageType | ( |  | ) |

inlinevirtual

Reimplemented from abstractOut.

## InsertData()

void out_AC::InsertData | ( | byte | data[],
|  | size_t | size
| ) |  |

protected

## isActive()

int out_AC::isActive | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## Poll()

int out_AC::Poll | ( | short | cause | ) |

overridevirtual

delay(100);

Implements abstractCh.

## Setup()

int out_AC::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_AC::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_AC::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

The documentation for this class was generated from the following files:

- modules/out_ac.h
- modules/out_ac.cpp